Verify User Registration

API gives verify user registration from OTP generated in previous step

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
📘

Header Parameters

For Header Reference Click here

Request Parameters

NameTypeMandatory (M) , Optional (O)Description
mobileStringOCustomer mobile number
otpReferenceStringMOTP reference from initiate registration API
otpStringMOTP from client mobile number

Sample Request

curl --location --request POST 'https://api.instantpay.in/cards/prepaid/verifyUserRegistration' \
--header 'X-Ipay-Auth-Code: {{authCode}}' \
--header 'X-Ipay-Client-Id: {{clientId}}' \
--header 'X-Ipay-Client-Secret: {{clientSecret}}' \
--header 'X-Ipay-Endpoint-Ip: {{endPointIP}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "otp": "983465",
    "otpReference": "876238",
}'
POST /cards/prepaid/verifyUserRegistration HTTP/1.1
Host: api.instantpay.in
X-Ipay-Auth-Code: {{authCode}}
X-Ipay-Client-Id: {{clientId}}
X-Ipay-Client-Secret: {{clientSecret}}
X-Ipay-Endpoint-Ip: {{endPointIP}}
Content-Type: application/json

{
    "otp": "983465",
    "otpReference": "876238",
}'
📘

Response Parameters

For Response Reference Click here

Sample Response

{
   "statuscode": "TXN",
   "actcode": null,
   "status": "User registered successfully",
   "data": {
       "authToken": "Aghc0-jdua8-jiw8dn"
   },
    "timestamp": "2022-03-24 13:03:43",
    "ipay_uuid": "h0069be1de76-e3bd-4f83-a8bd-7e08dfddb672-iBDV4k0anFAu",
    "orderid": "null",
    "environment": "LIVE",
    "internalCode": null

}
📘

Action Code Details

For Action Code details Click here

Body Params
int32

Customer mobile number

string

OTP reference from initiate registration API

string

OTP from client mobile number

Headers
string
Defaults to 1

Auth-Code

string

Unique Client Id Provided by Instantpay

string

Unique Client Secret Provided by Instantpay

string

End Customer IP Address

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json